Bug 732691 - Add logrotate config for glance's two log files
Summary: Add logrotate config for glance's two log files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openstack-glance
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 10:26 UTC by Mark McLoughlin
Modified: 2011-08-30 20:39 UTC (History)
1 user (show)

Fixed In Version: openstack-glance-2011.3-0.5.d4.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-30 20:39:53 UTC


Attachments (Terms of Use)

Description Mark McLoughlin 2011-08-23 10:26:02 UTC
rpmlint complains:

openstack-glance.noarch: W: log-files-without-logrotate /var/log/glance

We can copy nova's config, but it probably requires glance to switch to WatchedFileHandler like nova did

See also:

https://bugs.launchpad.net/glance/+bug/772397
https://code.launchpad.net/~soren/nova/logrotate/+merge/50292

Comment 1 Mark McLoughlin 2011-08-25 16:26:17 UTC
I've submitted a WatchedFileHandler patch upstream to glance:

  https://review.openstack.org/340

Comment 2 Fedora Update System 2011-08-26 09:11:18 UTC
openstack-glance-2011.3-0.5.d4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openstack-glance-2011.3-0.5.d4.fc16

Comment 3 Fedora Update System 2011-08-26 14:20:36 UTC
Package openstack-glance-2011.3-0.5.d4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openstack-glance-2011.3-0.5.d4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/openstack-glance-2011.3-0.5.d4.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-08-30 20:39:43 UTC
openstack-glance-2011.3-0.5.d4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.